Index: trunk/source/geometry/navigation/GNUmakefile
===================================================================
--- trunk/source/geometry/navigation/GNUmakefile	(revision 1337)
+++ trunk/source/geometry/navigation/GNUmakefile	(revision 1347)
@@ -1,3 +1,3 @@
-# $Id: GNUmakefile,v 1.5 2007/11/23 13:30:47 gcosmo Exp $
+# $Id: GNUmakefile,v 1.7 2010/10/27 07:34:32 gcosmo Exp $
 # --------------------------------------------------------------------
 # GNUmakefile for geometry/volumes library.  Gabriele Cosmo, 16/11/96.
Index: trunk/source/geometry/navigation/History
===================================================================
--- trunk/source/geometry/navigation/History	(revision 1337)
+++ trunk/source/geometry/navigation/History	(revision 1347)
@@ -1,3 +1,3 @@
-$Id: History,v 1.139 2010/03/08 13:57:48 gcosmo Exp $
+$Id: History,v 1.152 2010/12/15 13:47:10 gcosmo Exp $
 -------------------------------------------------------------------
 
@@ -17,4 +17,80 @@
      * Reverse chronological order (last date on top), please *
      ----------------------------------------------------------
+
+December 15th, 2010 - G.Cosmo (geomnav-V09-03-10)
+-----------------------------
+- Added inline method for creation of a touchable-history given a navigation
+  history as argument. Required for clients like G4ScoreSplittingProcess, to
+  avoid external symbols exporting on generation of DLLs.
+
+November 19th, 2010 - G.Cosmo (geomnav-V09-03-09)
+-----------------------------
+- Removed unused variable in G4RegularNavigation.
+
+November 15th, 2010 - G.Cosmo (geomnav-V09-03-08)
+-----------------------------
+- Restored trials for zero steps to 10 in G4Navigator, as originally.
+
+November 12th, 2010 - G.Cosmo (geomnav-V09-03-07)
+-----------------------------
+- Cleared compilation warnings for unused parameters; temporarily commented out.
+
+November 11th, 2010 - G.Cosmo (geomnav-V09-03-06)
+-----------------------------
+- Set trials for zero steps to 5 before activating push in G4Navigator;
+  increased unit value to 100 times kCarTolerance to make push more effective.
+
+November 10th, 2010 - G.Cosmo (geomnav-V09-03-05)
+-----------------------------
+- Reduced trials for zero steps from 10 to 3 for activating tolerance push
+  in G4Navigator.
+- Added possibility to switch off push notifications in G4Navigator; also
+  added related UI command.
+
+November 9th, 2010 - P.Arce
+---------------------------
+- Added new class G4PartialPhantomParameterisation allowing for envelopes
+  of different types other than box for regular geometries, so that relaxing
+  the restriction for voxels to completely fill the envelope container.
+  Adapted G4PhantomParameterisation, G4RegularNavigation and G4Navigator
+  accordingly.
+
+November 4th, 2010 - G.Cosmo
+----------------------------
+- Added new class G4NavigationLogger for "check-mode" verbosity. Reorganised
+  verbosity formatting for voxel and normal navigation.
+
+November 3rd, 2010 - J.Apostolakis
+----------------------------------
+- Added prototype class G4VoxelSafety for computation of exact safety.
+
+September 6th, 2010 - G.Cosmo (geomnav-V09-03-04)
+-----------------------------
+- Added missing initialization for 'fNewSafety' and 'fTrueMinStep' in
+  G4MultiNavigator constructor.
+
+September 3rd, 2010 - G.Cosmo (geomnav-V09-03-03)
+-----------------------------
+- Fixed typo in signature of ComputeStepSkippingEqualMaterials() in
+  G4RegularNavigation.
+
+August 19th, 2010 - T.Nikitina (geomnav-V09-03-02)
+------------------------------
+- Fix in G4GeomTestSegment::FindSomePoints(), to address problem report #980.
+
+July 12th, 2010 - G.Cosmo (geomnav-V09-03-01)
+-------------------------
+- Fixed array out of bound error in G4MultipleNavigator and G4PathFinder
+  constructors (J.Apostolakis).
+- Fixed cout precision restoring in G4BrentLocator, G4PropagatorInField,
+  G4SimpleLocator, G4VIntersectionLocator and G4MultiLevelLocator.
+- Removed unused private data members in G4MultiLevelLocator.
+- Replaced use of DBL_MAX for distances with kInfinity in G4MultiNavigator
+  and G4Navigator internals.
+- Exchanged conditions for initialization of members in G4TransportationManager
+  constructor.
+- Added dummy initialisation of members in constructors in G4MultiNavigator,
+  G4ParameterisedNavigation, G4PathFinder, G4PhantomParameterisation,
+  G4RegularNavigation.
 
 March 8th, 2010 - G.Cosmo (geomnav-V09-03-00)
Index: trunk/source/geometry/navigation/include/G4AuxiliaryNavServices.hh
===================================================================
--- trunk/source/geometry/navigation/include/G4AuxiliaryNavServices.hh	(revision 1337)
+++ trunk/source/geometry/navigation/include/G4AuxiliaryNavServices.hh	(revision 1347)
@@ -26,5 +26,5 @@
 //
 // $Id: G4AuxiliaryNavServices.hh,v 1.4 2007/05/22 07:48:08 gcosmo Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-01 $
+// GEANT4 tag $Name: geant4-09-04-ref-00 $
 //
 // 
Index: trunk/source/geometry/navigation/include/G4AuxiliaryNavServices.icc
===================================================================
--- trunk/source/geometry/navigation/include/G4AuxiliaryNavServices.icc	(revision 1337)
+++ trunk/source/geometry/navigation/include/G4AuxiliaryNavServices.icc	(revision 1347)
@@ -26,5 +26,5 @@
 //
 // $Id: G4AuxiliaryNavServices.icc,v 1.4 2007/05/22 07:48:08 gcosmo Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-01 $
+// GEANT4 tag $Name: geant4-09-04-ref-00 $
 //
 //
Index: trunk/source/geometry/navigation/include/G4BrentLocator.hh
===================================================================
--- trunk/source/geometry/navigation/include/G4BrentLocator.hh	(revision 1337)
+++ trunk/source/geometry/navigation/include/G4BrentLocator.hh	(revision 1347)
@@ -26,5 +26,5 @@
 //
 // $Id: G4BrentLocator.hh,v 1.2 2008/10/29 14:31:55 gcosmo Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-01 $
+// GEANT4 tag $Name: geant4-09-04-ref-00 $
 //
 // Class G4BrentLocator
Index: trunk/source/geometry/navigation/include/G4DrawVoxels.hh
===================================================================
--- trunk/source/geometry/navigation/include/G4DrawVoxels.hh	(revision 1337)
+++ trunk/source/geometry/navigation/include/G4DrawVoxels.hh	(revision 1347)
@@ -26,5 +26,5 @@
 //
 // $Id: G4DrawVoxels.hh,v 1.3 2006/06/29 18:35:36 gunter Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-01 $
+// GEANT4 tag $Name: geant4-09-04-ref-00 $
 //
 // 
Index: trunk/source/geometry/navigation/include/G4ErrorPropagationNavigator.hh
===================================================================
--- trunk/source/geometry/navigation/include/G4ErrorPropagationNavigator.hh	(revision 1337)
+++ trunk/source/geometry/navigation/include/G4ErrorPropagationNavigator.hh	(revision 1347)
@@ -26,5 +26,5 @@
 //
 // $Id: G4ErrorPropagationNavigator.hh,v 1.2 2008/10/24 14:00:03 gcosmo Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-01 $
+// GEANT4 tag $Name: geant4-09-04-ref-00 $
 //
 //
Index: trunk/source/geometry/navigation/include/G4GeomTestErrorList.hh
===================================================================
--- trunk/source/geometry/navigation/include/G4GeomTestErrorList.hh	(revision 1337)
+++ trunk/source/geometry/navigation/include/G4GeomTestErrorList.hh	(revision 1347)
@@ -26,5 +26,5 @@
 //
 // $Id: G4GeomTestErrorList.hh,v 1.3 2006/06/29 18:35:38 gunter Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-01 $
+// GEANT4 tag $Name: geant4-09-04-ref-00 $
 //
 // --------------------------------------------------------------------
Index: trunk/source/geometry/navigation/include/G4GeomTestLogger.hh
===================================================================
--- trunk/source/geometry/navigation/include/G4GeomTestLogger.hh	(revision 1337)
+++ trunk/source/geometry/navigation/include/G4GeomTestLogger.hh	(revision 1347)
@@ -26,5 +26,5 @@
 //
 // $Id: G4GeomTestLogger.hh,v 1.3 2006/06/29 18:35:40 gunter Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-01 $
+// GEANT4 tag $Name: geant4-09-04-ref-00 $
 //
 // --------------------------------------------------------------------
Index: trunk/source/geometry/navigation/include/G4GeomTestOverlapList.hh
===================================================================
--- trunk/source/geometry/navigation/include/G4GeomTestOverlapList.hh	(revision 1337)
+++ trunk/source/geometry/navigation/include/G4GeomTestOverlapList.hh	(revision 1347)
@@ -26,5 +26,5 @@
 //
 // $Id: G4GeomTestOverlapList.hh,v 1.3 2006/06/29 18:35:43 gunter Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-01 $
+// GEANT4 tag $Name: geant4-09-04-ref-00 $
 //
 // --------------------------------------------------------------------
Index: trunk/source/geometry/navigation/include/G4GeomTestOvershootList.hh
===================================================================
--- trunk/source/geometry/navigation/include/G4GeomTestOvershootList.hh	(revision 1337)
+++ trunk/source/geometry/navigation/include/G4GeomTestOvershootList.hh	(revision 1347)
@@ -26,5 +26,5 @@
 //
 // $Id: G4GeomTestOvershootList.hh,v 1.3 2006/06/29 18:35:45 gunter Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-01 $
+// GEANT4 tag $Name: geant4-09-04-ref-00 $
 //
 // --------------------------------------------------------------------
Index: trunk/source/geometry/navigation/include/G4GeomTestPoint.hh
===================================================================
--- trunk/source/geometry/navigation/include/G4GeomTestPoint.hh	(revision 1337)
+++ trunk/source/geometry/navigation/include/G4GeomTestPoint.hh	(revision 1347)
@@ -26,5 +26,5 @@
 //
 // $Id: G4GeomTestPoint.hh,v 1.3 2006/06/29 18:35:48 gunter Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-01 $
+// GEANT4 tag $Name: geant4-09-04-ref-00 $
 //
 // --------------------------------------------------------------------
Index: trunk/source/geometry/navigation/include/G4GeomTestSegment.hh
===================================================================
--- trunk/source/geometry/navigation/include/G4GeomTestSegment.hh	(revision 1337)
+++ trunk/source/geometry/navigation/include/G4GeomTestSegment.hh	(revision 1347)
@@ -26,5 +26,5 @@
 //
 // $Id: G4GeomTestSegment.hh,v 1.4 2007/05/11 13:43:59 gcosmo Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-01 $
+// GEANT4 tag $Name: geant4-09-04-ref-00 $
 //
 // --------------------------------------------------------------------
Index: trunk/source/geometry/navigation/include/G4GeomTestStreamLogger.hh
===================================================================
--- trunk/source/geometry/navigation/include/G4GeomTestStreamLogger.hh	(revision 1337)
+++ trunk/source/geometry/navigation/include/G4GeomTestStreamLogger.hh	(revision 1347)
@@ -26,5 +26,5 @@
 //
 // $Id: G4GeomTestStreamLogger.hh,v 1.3 2006/06/29 18:35:52 gunter Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-01 $
+// GEANT4 tag $Name: geant4-09-04-ref-00 $
 //
 // --------------------------------------------------------------------
Index: trunk/source/geometry/navigation/include/G4GeomTestVolPoint.hh
===================================================================
--- trunk/source/geometry/navigation/include/G4GeomTestVolPoint.hh	(revision 1337)
+++ trunk/source/geometry/navigation/include/G4GeomTestVolPoint.hh	(revision 1347)
@@ -26,5 +26,5 @@
 //
 // $Id: G4GeomTestVolPoint.hh,v 1.3 2006/06/29 18:35:55 gunter Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-01 $
+// GEANT4 tag $Name: geant4-09-04-ref-00 $
 //
 // --------------------------------------------------------------------
Index: trunk/source/geometry/navigation/include/G4GeomTestVolume.hh
===================================================================
--- trunk/source/geometry/navigation/include/G4GeomTestVolume.hh	(revision 1337)
+++ trunk/source/geometry/navigation/include/G4GeomTestVolume.hh	(revision 1347)
@@ -26,5 +26,5 @@
 //
 // $Id: G4GeomTestVolume.hh,v 1.3 2006/06/29 18:35:57 gunter Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-01 $
+// GEANT4 tag $Name: geant4-09-04-ref-00 $
 //
 // --------------------------------------------------------------------
Index: trunk/source/geometry/navigation/include/G4GeometryMessenger.hh
===================================================================
--- trunk/source/geometry/navigation/include/G4GeometryMessenger.hh	(revision 1337)
+++ trunk/source/geometry/navigation/include/G4GeometryMessenger.hh	(revision 1347)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4GeometryMessenger.hh,v 1.4 2006/06/29 18:35:59 gunter Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-01 $
+// $Id: G4GeometryMessenger.hh,v 1.5 2010/11/10 14:06:40 gcosmo Exp $
+// GEANT4 tag $Name: geant4-09-04-ref-00 $
 //
 // --------------------------------------------------------------------
@@ -78,4 +78,5 @@
     void SetVerbosity(G4String newValue);
     void SetCheckMode(G4String newValue);
+    void SetPushFlag(G4String newValue);
     void LineTest();
     void RecursiveLineTest();
@@ -88,5 +89,6 @@
     G4UIcmdWith3VectorAndUnit *posCmd, *dirCmd;
     G4UIcmdWith3Vector        *grzCmd, *cyzCmd;
-    G4UIcmdWithABool          *chkCmd, *linCmd, *grdCmd, *cylCmd, *runCmd;
+    G4UIcmdWithABool          *chkCmd, *pchkCmd, *linCmd,
+                              *grdCmd, *cylCmd, *runCmd;
     G4UIcmdWithoutParameter   *recCmd, *resCmd;
     G4UIcmdWithADoubleAndUnit *tolCmd;
Index: trunk/source/geometry/navigation/include/G4MultiLevelLocator.hh
===================================================================
--- trunk/source/geometry/navigation/include/G4MultiLevelLocator.hh	(revision 1337)
+++ trunk/source/geometry/navigation/include/G4MultiLevelLocator.hh	(revision 1347)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4MultiLevelLocator.hh,v 1.2 2008/10/29 14:31:55 gcosmo Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-01 $
+// $Id: G4MultiLevelLocator.hh,v 1.3 2010/07/13 15:59:42 gcosmo Exp $
+// GEANT4 tag $Name: geant4-09-04-ref-00 $
 //
 //
@@ -78,9 +78,4 @@
      G4FieldTrack* ptrInterMedFT[max_depth+1];
        // Used to store intermediate tracks values in case of too slow progress
-
-     G4int maxNumberOfStepsForIntersection;
-     G4int maxNumberOfCallsToReIntegration;
-     G4int maxNumberOfCallsToReIntegration_depth;
-       //  Counters for Statistics about Location and ReIntegrations
 };
 
Index: trunk/source/geometry/navigation/include/G4MultiNavigator.hh
===================================================================
--- trunk/source/geometry/navigation/include/G4MultiNavigator.hh	(revision 1337)
+++ trunk/source/geometry/navigation/include/G4MultiNavigator.hh	(revision 1347)
@@ -26,5 +26,5 @@
 //
 // $Id: G4MultiNavigator.hh,v 1.5 2008/10/24 14:00:03 gcosmo Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-01 $
+// GEANT4 tag $Name: geant4-09-04-ref-00 $
 //
 //
Index: trunk/source/geometry/navigation/include/G4Navigator.hh
===================================================================
--- trunk/source/geometry/navigation/include/G4Navigator.hh	(revision 1337)
+++ trunk/source/geometry/navigation/include/G4Navigator.hh	(revision 1347)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4Navigator.hh,v 1.29 2009/11/30 11:59:52 japost Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-01 $
+// $Id: G4Navigator.hh,v 1.34 2010/12/15 13:46:39 gcosmo Exp $
+// GEANT4 tag $Name: geant4-09-04-ref-00 $
 //
 //
@@ -200,4 +200,5 @@
   inline G4GRSSolid* CreateGRSSolid() const; 
   inline G4TouchableHistory* CreateTouchableHistory() const;
+  inline G4TouchableHistory* CreateTouchableHistory(const G4NavigationHistory*) const;
     // `Touchable' creation methods: caller has deletion responsibility.
 
@@ -241,5 +242,7 @@
     // verifications and more strict correctness conditions.
     // Is effective only with G4VERBOSE set.
-  inline G4bool IsCheckModeActive() { return fCheck; } 
+  inline G4bool IsCheckModeActive() const;
+  inline void   SetPushVerbosity(G4bool mode);
+    // Set/unset verbosity for pushed tracks (default is true).
 
   void PrintState() const;
@@ -263,14 +266,10 @@
     //         9 (ready to abandon), 10 (abandoned)
 
-  // inline 
   void SetSavedState(); 
-  // ( fValidExitNormal, fExitNormal, fExiting, fEntering, 
-  //   fBlockedPhysicalVolume, fBlockedReplicaNo, fLastStepWasZero); 
-  // inline 
+    // ( fValidExitNormal, fExitNormal, fExiting, fEntering, 
+    //   fBlockedPhysicalVolume, fBlockedReplicaNo, fLastStepWasZero); 
   void RestoreSavedState(); 
     // Copy aspects of the state, to enable a non-state changing
     //  call to ComputeStep
-
- public:  // with description
 
   inline G4ThreeVector GetCurrentLocalCoordinate() const;
@@ -283,5 +282,9 @@
     // Compute+return the local->global translation/rotation of current volume.
 
+  inline void EnableBestSafety( G4bool value= false );
+    // Enable best-possible evaluation of isotropic safety
+
  protected:  // with description
+
   inline G4ThreeVector ComputeLocalPoint(const G4ThreeVector& rGlobPoint) const;
     // Return position vector in local coordinate system, given a position
@@ -310,4 +313,10 @@
     // o Recompute transforms and/or solids of replicated/parameterised
     //   volumes.
+
+ private:
+
+  void ComputeStepLog(const G4ThreeVector& pGlobalpoint,
+                            G4double moveLenSq) const;
+    // Log and checks for steps larger than the tolerance
 
  protected:  // without description
@@ -434,6 +443,6 @@
   G4bool fCheck;
     // Check-mode flag  [if true, more strict checks are performed].
-  G4bool fPushed;
-    // Push flag  [if true, means a stuck particle has been pushed].
+  G4bool fPushed, fWarnPush;
+    // Push flags  [if true, means a stuck particle has been pushed].
 
   // Helpers/Utility classes
Index: trunk/source/geometry/navigation/include/G4Navigator.icc
===================================================================
--- trunk/source/geometry/navigation/include/G4Navigator.icc	(revision 1337)
+++ trunk/source/geometry/navigation/include/G4Navigator.icc	(revision 1347)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4Navigator.icc,v 1.15 2007/10/18 14:18:36 gcosmo Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-01 $
+// $Id: G4Navigator.icc,v 1.18 2010/12/15 13:46:39 gcosmo Exp $
+// GEANT4 tag $Name: geant4-09-04-ref-00 $
 //
 // 
@@ -308,4 +308,17 @@
 
 // ********************************************************************
+// CreateTouchableHistory(history)
+//
+// `Touchable' creation method: caller has deletion responsibility
+// ********************************************************************
+//
+inline
+G4TouchableHistory*
+G4Navigator::CreateTouchableHistory(const G4NavigationHistory* history) const
+{
+  return new G4TouchableHistory(*history);
+}
+
+// ********************************************************************
 // LocateGlobalPointAndUpdateTouchableHandle
 // ********************************************************************
@@ -450,4 +463,24 @@
 
 // ********************************************************************
+// IsCheckModeActive
+// ********************************************************************
+//
+inline
+G4bool G4Navigator::IsCheckModeActive() const
+{
+  return fCheck;
+}
+
+// ********************************************************************
+// SetPushVerbosity
+// ********************************************************************
+//
+inline
+void G4Navigator::SetPushVerbosity(G4bool mode)
+{
+  fWarnPush = mode;
+}
+
+// ********************************************************************
 // SeverityOfZeroStepping
 //
@@ -485,2 +518,11 @@
   return severity;
 }
+
+// ********************************************************************
+// EnableBestSafety
+// ********************************************************************
+//
+inline void G4Navigator::EnableBestSafety( G4bool value )
+{
+  fvoxelNav.EnableBestSafety( value );
+}
Index: trunk/source/geometry/navigation/include/G4NormalNavigation.hh
===================================================================
--- trunk/source/geometry/navigation/include/G4NormalNavigation.hh	(revision 1337)
+++ trunk/source/geometry/navigation/include/G4NormalNavigation.hh	(revision 1347)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4NormalNavigation.hh,v 1.4 2006/06/29 18:36:06 gunter Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-01 $
+// $Id: G4NormalNavigation.hh,v 1.6 2010/11/04 08:57:56 gcosmo Exp $
+// GEANT4 tag $Name: geant4-09-04-ref-00 $
 //
 // 
@@ -42,5 +42,8 @@
 #define G4NORMALNAVIGATION_HH
 
+#include <iomanip>
+
 #include "G4NavigationHistory.hh"
+#include "G4NavigationLogger.hh"
 #include "G4VPhysicalVolume.hh"
 #include "G4LogicalVolume.hh"
@@ -89,5 +92,5 @@
                             const G4double pMaxLength=DBL_MAX );
 
-    inline G4int GetVerboseLevel();
+    inline G4int GetVerboseLevel() const;
     inline void  SetVerboseLevel(G4int level);
       // Get/Set Verbose(ness) level.
@@ -102,5 +105,5 @@
 
     G4bool fCheck; 
-    G4int  fVerbose; 
+    G4NavigationLogger* fLogger;
 };
 
Index: trunk/source/geometry/navigation/include/G4NormalNavigation.icc
===================================================================
--- trunk/source/geometry/navigation/include/G4NormalNavigation.icc	(revision 1337)
+++ trunk/source/geometry/navigation/include/G4NormalNavigation.icc	(revision 1347)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4NormalNavigation.icc,v 1.4 2006/06/29 18:36:08 gunter Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-01 $
+// $Id: G4NormalNavigation.icc,v 1.5 2010/11/04 08:57:56 gcosmo Exp $
+// GEANT4 tag $Name: geant4-09-04-ref-00 $
 //
 // 
@@ -94,16 +94,28 @@
 }
 
+// ********************************************************************
+// GetVerboseLevel
+// ********************************************************************
+//
 inline
-G4int G4NormalNavigation::GetVerboseLevel()
+G4int G4NormalNavigation::GetVerboseLevel() const
 {
-  return fVerbose;
+  return fLogger->GetVerboseLevel();
 }
 
+// ********************************************************************
+// SetVerboseLevel
+// ********************************************************************
+//
 inline
 void G4NormalNavigation::SetVerboseLevel(G4int level)
 {
-  fVerbose = level;
+  fLogger->SetVerboseLevel(level);
 }
 
+// ********************************************************************
+// CheckMode
+// ********************************************************************
+//
 inline
 void G4NormalNavigation::CheckMode(G4bool mode)
Index: trunk/source/geometry/navigation/include/G4ParameterisedNavigation.hh
===================================================================
--- trunk/source/geometry/navigation/include/G4ParameterisedNavigation.hh	(revision 1337)
+++ trunk/source/geometry/navigation/include/G4ParameterisedNavigation.hh	(revision 1347)
@@ -26,5 +26,5 @@
 //
 // $Id: G4ParameterisedNavigation.hh,v 1.6 2007/11/09 16:06:02 gcosmo Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-01 $
+// GEANT4 tag $Name: geant4-09-04-ref-00 $
 //
 // 
Index: trunk/source/geometry/navigation/include/G4ParameterisedNavigation.icc
===================================================================
--- trunk/source/geometry/navigation/include/G4ParameterisedNavigation.icc	(revision 1337)
+++ trunk/source/geometry/navigation/include/G4ParameterisedNavigation.icc	(revision 1347)
@@ -26,5 +26,5 @@
 //
 // $Id: G4ParameterisedNavigation.icc,v 1.7 2007/11/09 16:06:02 gcosmo Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-01 $
+// GEANT4 tag $Name: geant4-09-04-ref-00 $
 //
 // 
Index: trunk/source/geometry/navigation/include/G4PathFinder.hh
===================================================================
--- trunk/source/geometry/navigation/include/G4PathFinder.hh	(revision 1337)
+++ trunk/source/geometry/navigation/include/G4PathFinder.hh	(revision 1347)
@@ -24,6 +24,6 @@
 // ********************************************************************
 //
-// $Id: G4PathFinder.hh,v 1.34 2007/11/02 12:28:31 japost Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-01 $
+// $Id: G4PathFinder.hh,v 1.35 2010/07/13 15:59:42 gcosmo Exp $
+// GEANT4 tag $Name: geant4-09-04-ref-00 $
 // 
 // class G4PathFinder 
@@ -259,10 +259,6 @@
    // State for Step numbers 
    G4int         fLastStepNo, fCurrentStepNo; 
-   G4bool        fParticleIsLooping;
 
    G4int         fVerboseLevel;            // For debuging purposes
-
-   G4int         fMax_loop_count;
-     // Limit for the number of sub-steps taken in one call to ComputeStep
 
    G4TransportationManager* fpTransportManager; // Cache for frequent use
Index: trunk/source/geometry/navigation/include/G4PhantomParameterisation.hh
===================================================================
--- trunk/source/geometry/navigation/include/G4PhantomParameterisation.hh	(revision 1337)
+++ trunk/source/geometry/navigation/include/G4PhantomParameterisation.hh	(revision 1347)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4PhantomParameterisation.hh,v 1.5 2009/05/19 18:27:03 arce Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-01 $
+// $Id: G4PhantomParameterisation.hh,v 1.6 2010/11/09 15:43:15 arce Exp $
+// GEANT4 tag $Name: geant4-09-04-ref-00 $
 //
 //
@@ -117,5 +117,5 @@
       // voxels fill it completely.
 
-    G4int GetReplicaNo( const G4ThreeVector& localPoint,
+    virtual G4int GetReplicaNo( const G4ThreeVector& localPoint,
                         const G4ThreeVector& localDir );
       // Get the voxel number corresponding to the point in the container
@@ -167,5 +167,5 @@
       // Check that the copy number is within limits.
 
-  private:
+  protected:
 
     G4double fVoxelHalfX,fVoxelHalfY,fVoxelHalfZ;
Index: trunk/source/geometry/navigation/include/G4PhantomParameterisation.icc
===================================================================
--- trunk/source/geometry/navigation/include/G4PhantomParameterisation.icc	(revision 1337)
+++ trunk/source/geometry/navigation/include/G4PhantomParameterisation.icc	(revision 1347)
@@ -26,5 +26,5 @@
 //
 // $Id: G4PhantomParameterisation.icc,v 1.1 2007/10/17 19:13:58 arce Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-01 $
+// GEANT4 tag $Name: geant4-09-04-ref-00 $
 //
 //--------------------------------------------------------------------
Index: trunk/source/geometry/navigation/include/G4PropagatorInField.hh
===================================================================
--- trunk/source/geometry/navigation/include/G4PropagatorInField.hh	(revision 1337)
+++ trunk/source/geometry/navigation/include/G4PropagatorInField.hh	(revision 1347)
@@ -26,5 +26,5 @@
 // 
 // $Id: G4PropagatorInField.hh,v 1.19 2009/11/13 17:34:26 japost Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-01 $
+// GEANT4 tag $Name: geant4-09-04-ref-00 $
 //
 //
Index: trunk/source/geometry/navigation/include/G4PropagatorInField.icc
===================================================================
--- trunk/source/geometry/navigation/include/G4PropagatorInField.icc	(revision 1337)
+++ trunk/source/geometry/navigation/include/G4PropagatorInField.icc	(revision 1347)
@@ -26,5 +26,5 @@
 //
 // $Id: G4PropagatorInField.icc,v 1.16 2009/11/13 17:34:26 japost Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-01 $
+// GEANT4 tag $Name: geant4-09-04-ref-00 $
 //
 // 
Index: trunk/source/geometry/navigation/include/G4RegularNavigation.hh
===================================================================
--- trunk/source/geometry/navigation/include/G4RegularNavigation.hh	(revision 1337)
+++ trunk/source/geometry/navigation/include/G4RegularNavigation.hh	(revision 1347)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4RegularNavigation.hh,v 1.2 2007/10/18 14:18:36 gcosmo Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-01 $
+// $Id: G4RegularNavigation.hh,v 1.4 2010/09/03 16:29:43 gcosmo Exp $
+// GEANT4 tag $Name: geant4-09-04-ref-00 $
 //
 //
@@ -87,5 +87,5 @@
   
     G4double ComputeStepSkippingEqualMaterials( 
-                          const G4ThreeVector localPoint,
+                                G4ThreeVector& localPoint,
                           const G4ThreeVector& globalDirection,
                           const G4double currentProposedStepLength,
@@ -116,6 +116,6 @@
     // Set and Get methods
 
-    void SetVerboseLevel(G4int level) { fVerbose = level; }
-    void CheckMode(G4bool mode) { fCheck = mode; }
+    void SetVerboseLevel(G4int level) { fverbose = level; }
+    void CheckMode(G4bool mode) { fcheck = mode; }
     void SetNormalNavigation( G4NormalNavigation* fnormnav )
       { fnormalNav = fnormnav; }
@@ -123,6 +123,6 @@
   private:
 
-    G4int fVerbose;
-    G4bool fCheck;
+    G4int fverbose;
+    G4bool fcheck;
 
     G4NormalNavigation* fnormalNav;
Index: trunk/source/geometry/navigation/include/G4RegularNavigationHelper.hh
===================================================================
--- trunk/source/geometry/navigation/include/G4RegularNavigationHelper.hh	(revision 1337)
+++ trunk/source/geometry/navigation/include/G4RegularNavigationHelper.hh	(revision 1347)
@@ -26,5 +26,5 @@
 //
 // $Id: G4RegularNavigationHelper.hh,v 1.1 2009/01/27 09:31:29 gcosmo Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-01 $
+// GEANT4 tag $Name: geant4-09-04-ref-00 $
 //
 // --------------------------------------------------------------------
Index: trunk/source/geometry/navigation/include/G4ReplicaNavigation.hh
===================================================================
--- trunk/source/geometry/navigation/include/G4ReplicaNavigation.hh	(revision 1337)
+++ trunk/source/geometry/navigation/include/G4ReplicaNavigation.hh	(revision 1347)
@@ -26,5 +26,5 @@
 //
 // $Id: G4ReplicaNavigation.hh,v 1.6 2007/05/18 07:31:09 gcosmo Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-01 $
+// GEANT4 tag $Name: geant4-09-04-ref-00 $
 //
 // 
Index: trunk/source/geometry/navigation/include/G4ReplicaNavigation.icc
===================================================================
--- trunk/source/geometry/navigation/include/G4ReplicaNavigation.icc	(revision 1337)
+++ trunk/source/geometry/navigation/include/G4ReplicaNavigation.icc	(revision 1347)
@@ -26,5 +26,5 @@
 //
 // $Id: G4ReplicaNavigation.icc,v 1.5 2006/06/29 18:36:22 gunter Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-01 $
+// GEANT4 tag $Name: geant4-09-04-ref-00 $
 //
 // 
Index: trunk/source/geometry/navigation/include/G4SafetyHelper.hh
===================================================================
--- trunk/source/geometry/navigation/include/G4SafetyHelper.hh	(revision 1337)
+++ trunk/source/geometry/navigation/include/G4SafetyHelper.hh	(revision 1347)
@@ -26,5 +26,5 @@
 //
 // $Id: G4SafetyHelper.hh,v 1.7 2007/05/02 15:32:13 japost Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-01 $
+// GEANT4 tag $Name: geant4-09-04-ref-00 $
 //
 //
Index: trunk/source/geometry/navigation/include/G4SimpleLocator.hh
===================================================================
--- trunk/source/geometry/navigation/include/G4SimpleLocator.hh	(revision 1337)
+++ trunk/source/geometry/navigation/include/G4SimpleLocator.hh	(revision 1347)
@@ -26,5 +26,5 @@
 //
 // $Id: G4SimpleLocator.hh,v 1.2 2008/10/29 14:31:55 gcosmo Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-01 $
+// GEANT4 tag $Name: geant4-09-04-ref-00 $
 //
 //
Index: trunk/source/geometry/navigation/include/G4TransportationManager.hh
===================================================================
--- trunk/source/geometry/navigation/include/G4TransportationManager.hh	(revision 1337)
+++ trunk/source/geometry/navigation/include/G4TransportationManager.hh	(revision 1347)
@@ -26,5 +26,5 @@
 //
 // $Id: G4TransportationManager.hh,v 1.12 2007/04/20 15:28:37 gcosmo Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-01 $
+// GEANT4 tag $Name: geant4-09-04-ref-00 $
 //
 // class G4TransportationManager
